require 'helper'

class TestRnewick < Test::Unit::TestCase
  should "find binary files for pruning" do
    assert binary_available("nw_prune")
    assert binary_available("nw_reroot")
  end
  should "be able to prune a newick string corretly" do
    # prepare data
    newick_file = NewickFile.new("test/testdata/20start.nw")
    outliers = ["Seq10", "Seq11", "Seq12", "Seq13", "Seq14", "Seq15", "Seq16", "Seq17", "Seq18", "Seq19", "Seq20"]
    expected_pruned_newick_file = NewickFile.new("test/testdata/20start.nw.pruned_to.9")
    # prune
    pruned = "test/testdata/tmp_pruned.nw"
    newick_file.remove_taxa(outliers, pruned)
    # check
    pruned_file = NewickFile.new(pruned)
    assert_equal pruned_file.newickStrings.first.str, expected_pruned_newick_file.newickStrings.first.str
    # clean
    File.delete(pruned)
  end
end
